BINDER-BRIDGE(1)

NAME
binder-bridge - forward binder transactions between two devices

SYNOPSIS
binder-bridge [OPTION...] SRC DST NAME [IFACES...]

DESCRIPTION
binder-bridge connects two binder devices, forwarding service calls from the source device SRC to the destination device DST for the service registered as NAME.

Optional IFACES arguments specify interface names; they are required for direct-name services (e.g., AIDL).

The --source option allows advertising a different name on the source side.

OPTIONS

-s, --source=NAME
    Register NAME on the source device instead of the supplied NAME.

-v, --verbose
    Enable verbose output.

-q, --quiet
    Suppress non‑error messages.

-h, --help
    Show help options.

EXAMPLE
Forward the sensors service between two binder devices:

  binder-bridge /dev/binder /dev/hwbinder android.hardware.sensors@1.0::ISensors/default

SEE ALSO
binder-call(1), binder-list(1), binder-ping(1)

Project repository: https://github.com/mer-hybris/libgbinder